Bug 998344 - Cannot paste from x11 to vnc session, rdesktop
Cannot paste from x11 to vnc session, rdesktop
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11 (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-19 01:25 EDT by rmhristev
Modified: 2015-02-17 11:49 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:49:43 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description rmhristev 2013-08-19 01:25:21 EDT
Description of problem:
Pasting from the main X11 session into a (Tiger) VNC session doesn't work

Version-Release number of selected component (if applicable):
xorg-x11-server-Xorg-1.14.2-9.fc19.x86_64
Latest official updates to date

How reproducible:
Always

Steps to Reproduce:
1. Launch a VNC session
2. Try to paste from main X into the VNC session

Actual results:
Generally what is pasted is what was before in the buffer if it was copied from _within_ the VNC session.

Expected results:
Pasted text from the main X session

Additional info:
The same VNC session works as expected with an older X from Fedora 17
so I assume the problem is not with VNC. Rdesktop also seems to be affected.

I am not sure what X component may come into play here. And what other info might help here.

Strangely enough pasting into VMPlayer works (if that is of any help)
Comment 1 Tim Wilkinson 2013-09-16 09:34:26 EDT
Same experience. I lost the ability to paste any clipboard contents into an existing VNC session (even with vncconfig running in the F18 tigervnc server session with all options selected) when I moved from F17 to F18. F17 clients and prior (even Windows) can successfully paste their buffer contents into the same desktop. So far any F18/F19 clients fail to paste either the highlighted or copied clipboard contents.
Comment 2 Don Estabrook 2014-01-17 19:22:16 EST
I have the same issue.  Might this be a duplicate of https://bugzilla.redhat.com/show_bug.cgi?id=920573 ?
Comment 3 Tim Wilkinson 2014-01-20 09:50:32 EST
(In reply to Don Estabrook from comment #2)
> I have the same issue.  Might this be a duplicate of
> https://bugzilla.redhat.com/show_bug.cgi?id=920573 ?

Thanks. Not only does it sound very much the same, comment #8 posts a link to a recent tigerVNC nightly build that is _not_ exhibiting the long experienced pasting problems.
Comment 4 Fedora End Of Life 2015-01-09 14:30:42 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2015-02-17 11:49:43 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.